Pular para o conteúdo principal
GET
/
v1
/
refunds
/
{refund_id}
Obter uma Devolução
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/refunds/{refund_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-Id: <x-account-id>'
{
  "id": "019c96a0-0c53-7a8d-8e29-67971d96d0e3",
  "originalEndToEndId": "E123456789BR1234567890123456789",
  "returnEndToEndId": "D123456789BR1234567890123456789",
  "amount": "100.00",
  "status": "COMPLETED",
  "reason": "FR01",
  "createdAt": "2024-01-15T10:30:00Z"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cabeçalhos

X-Account-Id
string
obrigatório

Identificador único da Conta do Ledger Midaz (formato UUID).

Parâmetros de caminho

refund_id
string
obrigatório

Identificador único da solicitação de reembolso (formato UUID).

Resposta

Detalhes da devolução recuperados com sucesso.

id
string

Identificador único do reembolso.

Exemplo:

"019c96a0-0c53-7a8d-8e29-67971d96d0e3"

originalEndToEndId
string

ID E2E da transferência original.

Exemplo:

"E123456789BR1234567890123456789"

returnEndToEndId
string

ID E2E da transferência de devolução.

Exemplo:

"D123456789BR1234567890123456789"

amount
string

Valor do reembolso.

Exemplo:

"100.00"

status
string

Status do reembolso.

Exemplo:

"COMPLETED"

reason
string

Código do motivo do reembolso.

Exemplo:

"FR01"

createdAt
string<date-time>
Exemplo:

"2024-01-15T10:30:00Z"